<template>
  <div class="auth-wrapper">
    <!-- form to edit an inventory -->
    <form class="auth-inner" @submit.prevent="handleSubmit">
      <h3>Update inventory: </h3>
      <div class="form-group">
          <label>Description: </label>
          <input type="text" class="form-control" v-model="description" :placeholder="selectedInventory.description" required/>
      </div>
      <div class="form-group">
          <label>Custom column 1: </label>
          <input type="text" class="form-control" v-model="customColumnOne" :placeholder="selectedInventory.customColumnOne"/>
      </div>
      <!-- this column only appears if the previous custom column exists already -->
      <div class="form-group" v-if="selectedInventory.customColumnOne">
          <label>Custom column 2: </label>
          <input type="text" class="form-control" v-model="customColumnTwo" :placeholder="selectedInventory.customColumnTwo"/>
      </div>
      <button class="btn btn-success btn-block" @click="handleSubmit">Done</button>
    </form>
  </div>
</template>

<script>
// Importing axios to make requests to the backend.
import axios from 'axios'
export default {
  name: 'updateInventory',
  props: ['selectedInventory', 'user'],
  data () {
    return {
      baseURL: 'http://localhost:8000/api/',
      description: '',
      customColumnOne: '',
      customColumnTwo: ''
    }
  },
  methods: {
    // submit method for the inventory edits made
    async handleSubmit () {
      await axios.put(this.baseURL + 'inventories', {
        user_id: this.user.user_id,
        inventory_id: this.selectedInventory.inventory_id,
        description: this.description,
        customColumnOne: this.customColumnOne,
        customColumnTwo: this.customColumnTwo
      })
      this.$router.push('/profile/' + this.user.user_id)
    }
  }
}
</script>
